
gh_renderer.set_viewport(0, 0, winW, winH)
gh_renderer.clear_color_depth_buffers(0.2, 0.2, 0.2, 1.0, 1.0)
gh_renderer.set_depth_test_state(0)






-- LuaGL code ===============================

gl.Disable('DEPTH_TEST') 

--gl.PolygonMode('FRONT_AND_BACK', 'LINE')
gl.PolygonMode('FRONT_AND_BACK', 'FILL')

gl.Disable('CULL_FACE')




gl.MatrixMode('PROJECTION')
gl.LoadIdentity()

gl.MatrixMode('MODELVIEW')
gl.LoadIdentity()



gl.Begin('TRIANGLES') 
gl.Color(1, 0, 0)
gl.Vertex(-1, -1, 0)

gl.Color(0, 1, 0)
gl.Vertex(0, 1.0, 0)

gl.Color(0, 0, 1)
gl.Vertex(1, -1, 0)

gl.End()      			

-- LuaGL code ===============================

